-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
-- [C6MartPeriodico].[PL_S18PatrimonioFinanziarioRischio] 'F','GRZDSG43E11D193N'
CREATE procedure [C6MartPeriodico].[PL_S18PatrimonioFinanziarioRischio] 
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	DECLARE @varComplessivo DECIMAL(12,3)
	DECLARE @varBF DECIMAL(12,3)
	DECLARE @varTerzi DECIMAL(12,3)
	DECLARE @coperturaBF DECIMAL(12,3)
	DECLARE @coperturaTERZI DECIMAL(12,3)
	DECLARE @coperturaCOMPLESSIVO DECIMAL(12,3)
	DECLARE @codiceProfilo SMALLINT
	DECLARE @varProfilo DECIMAL(5,2)
	DECLARE @nomeProfilo VARCHAR(50)
	SELECT
		@varComplessivo = VAR_PERC_PTF,
		@coperturaCOMPLESSIVO = COPERTURA
	FROM
		C6MartPeriodico.RISCHIO_AGGREGATO AS RA
	WHERE
		RA.RETE = @Rete AND
		RA.COD_FISCALE = @CodiceFiscale AND
		RA.COD_AGGREG = 'COMPLESSIVO'
	SELECT
		@varBF = VAR_PERC_PTF,
		@coperturaBF = COPERTURA
	FROM
		C6MartPeriodico.RISCHIO_AGGREGATO AS RA
	WHERE
		RA.RETE = @Rete AND
		RA.COD_FISCALE = @CodiceFiscale AND
		RA.COD_AGGREG = 'COMPLESSIVO|BF'
	SELECT
		@varTerzi = VAR_PERC_PTF,
		@coperturaTERZI = COPERTURA
	FROM
		C6MartPeriodico.RISCHIO_AGGREGATO AS RA
	WHERE
		RA.RETE = @Rete AND
		RA.COD_FISCALE = @CodiceFiscale AND
		RA.COD_AGGREG = 'COMPLESSIVO|TERZI'
	SELECT
        @codiceProfilo = M.PROFILO_ASS,
		@varProfilo = CR.MAX_VAR,
		@nomeProfilo = CR.DESCRIZIONE
	FROM
		C6MartPeriodico.MIFID AS M 
		INNER JOIN C6MartPeriodico.CODIFICA_RISCHIO AS CR 
		ON M.PROFILO_ASS = CR.PROFILO
	WHERE
		M.RETE = @Rete AND
		M.COD_FISCALE = @CodiceFiscale
	SELECT
        @codiceProfilo as codiceProfilo,
		@varProfilo as varProfilo,
--		isnull(@varComplessivo,0) as varComplessivo,
--		isnull(@varBF,0) as varBF,
--		isnull(@varTerzi,0) as varTerzi,
		@varComplessivo as varComplessivo,
		@varBF as varBF,
		@varTerzi as varTerzi,
		CASE 
			WHEN @coperturaCOMPLESSIVO IS NULL THEN 'n.c.'
			WHEN @coperturaCOMPLESSIVO = 0 THEN 'n.c.'
			ELSE NULL
		END AS varComplessivoString,
		CASE 
			WHEN @coperturaBF IS NULL THEN 'n.c.'
			WHEN @coperturaBF = 0 THEN 'n.c.'
			ELSE NULL
		END AS varBFString,
		CASE 
			WHEN @coperturaTERZI IS NULL THEN 'n.c.'
			WHEN @coperturaTERZI = 0 THEN 'n.c.'
			ELSE NULL
		END AS varTerziString,
		isnull(@coperturaBF,0) as coperturaBF,
		@nomeProfilo as nomeProfilo
END